SCORCH Integration Packs Dependent on Dot Net v2

I recently had to rebuild my machine, after getting Windows 8 reinstalled I started installing my System Center Consoles since I was in a hurry to work on a powershell script for a runbook in Orchestrator that connected to ConfigMgr my first two consoles I installed were ConfigMgr and Orchestrator then went on to deploy the Integration packs for Orchestrator. Most of the IPs installed without any issues but the System Center 2012 ConfigMgr and OpsMgr IPs failed to install. The error message in the Deployment Manger was not very helpful. “Fatal error during installation.

Since I wasn’t sure where the log files were on the remote computer or what was the root cause of the issue fired up Process Monitor this quickly lead me to the log directory that can be found at

C:Program Files (x86)Common FilesMicrosoft System Center 2012OrchestratorManagement ServerComponentsLogs

Upon investigation of the logs I quickly found a reference to Dot Net v2 and since I knew that Orchestrator runs powershell using the dot net framework version 2, I quickly looked to see if SCCM had installed Dot Net v2 yet. It had not, once the install was complete I was able to install the integration packs without any issues.

Here is the status message returned in the install log of the failure

Windows Installer installed the product. Product Name: System Center Integration Pack for System Center 2012 Configuration Manager. Product Version: 7.1.3029.0. Product Language: 1033. Manufacturer: Microsoft Corporation. Installation success or error status: 1603.

Leave a Reply

Your email address will not be published. Required fields are marked *